javax.vecmath

## Class Vector2d

- java.lang.Object
- - javax.vecmath.Tuple2d
  - - javax.vecmath.Vector2d

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Vector2d
    extends Tuple2d
    implements java.io.Serializable

A 2-element vector that is represented by double-precision floating point x,y coordinates.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.vecmath.Tuple2d

`x, y`

### Constructor Summary

Constructors
Constructor and Description
`Vector2d()` Constructs and initializes a Vector2d to (0,0).
`Vector2d(double[] v)` Constructs and initializes a Vector2d from the specified array.
`Vector2d(double x, double y)` Constructs and initializes a Vector2d from the specified xy coordinates.
`Vector2d(Tuple2d t1)` Constructs and initializes a Vector2d from the specified Tuple2d.
`Vector2d(Tuple2f t1)` Constructs and initializes a Vector2d from the specified Tuple2f.
`Vector2d(Vector2d v1)` Constructs and initializes a Vector2d from the specified Vector2d.
`Vector2d(Vector2f v1)` Constructs and initializes a Vector2d from the specified Vector2f.

### Method Summary

Methods
`double` `angle(Vector2d v1)` Returns the angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].
`double` `dot(Vector2d v1)` Computes the dot product of the this vector and vector v1.
`double` `length()` Returns the length of this vector.
`double` `lengthSquared()` Returns the squared length of this vector.
`void` `normalize()` Normalizes this vector in place.
`void` `normalize(Vector2d v1)` Sets the value of this vector to the normalization of vector v1.

### Methods inherited from class javax.vecmath.Tuple2d

`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, getX, getY, hashCode, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, setX, setY, sub, sub, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Vector2d

    public Vector2d(double x,
            double y)

Constructs and initializes a Vector2d from the specified xy coordinates.

Parameters:
  `x` - the x coordinate
  `y` - the y coordinate

#### Vector2d

    public Vector2d(double[] v)

Constructs and initializes a Vector2d from the specified array.

Parameters:
  `v` - the array of length 2 containing xy in order

#### Vector2d

    public Vector2d(Vector2d v1)

Constructs and initializes a Vector2d from the specified Vector2d.

Parameters:
  `v1` - the Vector2d containing the initialization x y data

#### Vector2d

    public Vector2d(Vector2f v1)

Constructs and initializes a Vector2d from the specified Vector2f.

Parameters:
  `v1` - the Vector2f containing the initialization x y data

#### Vector2d

    public Vector2d(Tuple2d t1)

Constructs and initializes a Vector2d from the specified Tuple2d.

Parameters:
  `t1` - the Tuple2d containing the initialization x y data

#### Vector2d

    public Vector2d(Tuple2f t1)

Constructs and initializes a Vector2d from the specified Tuple2f.

Parameters:
  `t1` - the Tuple2f containing the initialization x y data

#### Vector2d

    public Vector2d()

Constructs and initializes a Vector2d to (0,0).

### Method Detail

#### dot

    public final double dot(Vector2d v1)

Computes the dot product of the this vector and vector v1.

Parameters:
  `v1` - the other vector

#### length

    public final double length()

Returns the length of this vector.

Returns:
  the length of this vector

#### lengthSquared

    public final double lengthSquared()

Returns the squared length of this vector.

Returns:
  the squared length of this vector

#### normalize

    public final void normalize(Vector2d v1)

Sets the value of this vector to the normalization of vector v1.

Parameters:
  `v1` - the un-normalized vector

#### normalize

    public final void normalize()

Normalizes this vector in place.

#### angle

    public final double angle(Vector2d v1)

Returns the angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].

Parameters:
  `v1` - the other vector
Returns:
  the angle in radians in the range [0,PI]